Package org.apache.sling.fsprovider.internal.mapper

# Class ContentFileResourceMapper

java.lang.Object
org.apache.sling.fsprovider.internal.mapper.ContentFileResourceMapper

public final class ContentFileResourceMapper extends Object

## Constructor Summary

Constructors
Constructor
Description
`ContentFileResourceMapper(String providerRoot, File providerFile, org.apache.sling.fsprovider.internal.ContentFileExtensions contentFileExtensions, ContentFileCache contentFileCache, org.apache.sling.fsprovider.internal.FileStatCache fileStatCache)`

## Method Summary

Modifier and Type
Method
Description
`Iterator<org.apache.sling.api.resource.Resource>`
`getChildren(org.apache.sling.api.resource.ResourceResolver resolver, org.apache.sling.api.resource.Resource parent)`
`org.apache.sling.api.resource.Resource`
`getResource(org.apache.sling.api.resource.ResourceResolver resolver, String resourcePath)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContentFileResourceMapper

public ContentFileResourceMapper(String providerRoot, File providerFile, org.apache.sling.fsprovider.internal.ContentFileExtensions contentFileExtensions, ContentFileCache contentFileCache, org.apache.sling.fsprovider.internal.FileStatCache fileStatCache)

## Method Details

### getResource

public org.apache.sling.api.resource.Resource getResource(org.apache.sling.api.resource.ResourceResolver resolver, String resourcePath)

### getChildren

public Iterator<org.apache.sling.api.resource.Resource> getChildren(org.apache.sling.api.resource.ResourceResolver resolver, org.apache.sling.api.resource.Resource parent)